For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
              • POSTFind Available Pickup Options
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPickup MethodsPickup Options

Find Available Pickup Options

POST
https://api.bigcommerce.com/stores/:store_hash/v3/pickup/options
POST
/stores/:store_hash/v3/pickup/options
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/pickup/options \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "search_area": {
> "radius": {
> "value": 10,
> "unit": "KM"
> }
> },
> "items": [
> {
> "variant_id": 24,
> "quantity": 98
> }
> ]
>}'
200Successful
1{
2 "results": [
3 {
4 "pickup_options": [
5 {
6 "pickup_method": {
7 "id": 1,
8 "location_id": 2,
9 "display_name": "Office Pickup!",
10 "collection_instructions": "Bring your ID!",
11 "collection_time_description": "Collect during our opening hours of 0900 - 1700"
12 },
13 "available_items": [
14 {
15 "variant_id": 55,
16 "quantity": 12
17 }
18 ]
19 }
20 ]
21 }
22 ]
23}
Returns up to 10 available pickup options for the requested items around a radius of the provided search coordinates. The pickup options returned only include options where all requested items are available and can be picked up from a single location.
Was this page helpful?
Previous

Delete Pickups

Next

Pickup Options

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
search_areaobjectRequired
Area where you are searching for pickup options.
itemslist of objectsRequired
Items you include in your search for pickup options.

Response

The request has been successfully processed.
resultslist of objects

The MIME type of the response body.